Olympus Docs
ReferenceAPIsOry Hydra APIoAuth2

Create OAuth 2.0 Client

Create a new OAuth 2.0 client. If you pass `client_secret` the secret is used, otherwise a random secret

POST /admin/clients

Create a new OAuth 2.0 client. If you pass client_secret the secret is used, otherwise a random secret is generated. The secret is echoed in the response. It is not possible to retrieve it later on.

Operation ID: createOAuth2Client    Tag: oAuth2

Request body

OAuth 2.0 Client Request Body

Content-Type: application/json

Type: object

Schema: oAuth2Client, see the Ory Hydra API schemas reference for the full type.

Responses

StatusDescriptionBody
201oAuth2Clientapplication/json, object
400Bad Request Error Responseapplication/json, object
defaultDefault Error Responseapplication/json, object

Generated from ../athena/openapi.json at build time.

On this page